commit:     5bfec586f35169bb33eecb287382f2c2b536857f
Author:     Andreas Sturmlechner <andreas.sturmlechner <AT> gmail <DOT> com>
AuthorDate: Tue Dec 20 20:29:21 2016 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Wed Dec 21 12:32:20 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bfec586

kde-misc/zanshin: Add missing RDEPEND

Needs kde-apps/kdepim-runtime for akonadi resources

Package-Manager: portage-2.3.0

 kde-misc/zanshin/zanshin-0.4.1-r1.ebuild | 60 ++++++++++++++++++++++++++++++++
 1 file changed, 60 insertions(+)

diff --git a/kde-misc/zanshin/zanshin-0.4.1-r1.ebuild 
b/kde-misc/zanshin/zanshin-0.4.1-r1.ebuild
new file mode 100644
index 00000000..025035e
--- /dev/null
+++ b/kde-misc/zanshin/zanshin-0.4.1-r1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+CMAKE_MIN_VERSION="3.2.0"
+KDE_TEST="forceoptional"
+VIRTUALX_REQUIRED="test"
+inherit kde5
+
+DESCRIPTION="Getting things done application by KDE"
+HOMEPAGE="https://zanshin.kde.org/";
+[[ ${KDE_BUILD_TYPE} != live ]] && 
SRC_URI="http://files.kde.org/zanshin/${P}.tar.bz2";
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# FIXME: bundles libkdepim
+COMMON_DEPEND="
+       $(add_frameworks_dep kcodecs)
+       $(add_frameworks_dep kcompletion)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kdelibs4support)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep kitemmodels)
+       $(add_frameworks_dep kitemviews)
+       $(add_frameworks_dep kjobwidgets)
+       $(add_frameworks_dep kparts)
+       $(add_frameworks_dep krunner)
+       $(add_frameworks_dep kwallet)
+       $(add_frameworks_dep kxmlgui)
+       $(add_kdeapps_dep akonadi)
+       $(add_kdeapps_dep akonadi-calendar)
+       $(add_kdeapps_dep akonadi-notes)
+       $(add_kdeapps_dep akonadi-search)
+       $(add_kdeapps_dep kcalcore)
+       $(add_kdeapps_dep kcontacts)
+       $(add_kdeapps_dep kidentitymanagement)
+       $(add_kdeapps_dep kldap)
+       $(add_kdeapps_dep kmime)
+       $(add_kdeapps_dep kontactinterface)
+       $(add_qt_dep qtdbus)
+       $(add_qt_dep qtdeclarative)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtnetwork)
+       $(add_qt_dep qtwidgets)
+       dev-libs/boost
+"
+DEPEND="${COMMON_DEPEND}
+       test? ( $(add_kdeapps_dep akonadi 'tools') )
+"
+RDEPEND="${COMMON_DEPEND}
+       !kde-misc/zanshin:4
+       $(add_kdeapps_dep kdepim-runtime)
+"

Reply via email to